com.trilead.ssh2.packets

## Class PacketDisconnect

- java.lang.Object
- - com.trilead.ssh2.packets.PacketDisconnect

    public class PacketDisconnect
    extends java.lang.Object

PacketDisconnect.

### Constructor Summary

Constructors
Constructor and Description
`PacketDisconnect(byte[] payload, int off, int len)`
`PacketDisconnect(int reason, java.lang.String desc, java.lang.String lang)`

### Method Summary

Methods
`byte[]` `getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PacketDisconnect

    public PacketDisconnect(byte[] payload,
                    int off,
                    int len)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### PacketDisconnect

    public PacketDisconnect(int reason,
                    java.lang.String desc,
                    java.lang.String lang)

### Method Detail

#### getPayload

    public byte[] getPayload()